Package com.io7m.cardant.protocol.inventory.cb

# Interface CAI1ComparisonSet<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

Type Parameters:
  `T` -

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `CAI1ComparisonSet.Anything`, `CAI1ComparisonSet.IsEqualTo`, `CAI1ComparisonSet.IsNotEqualTo`, `CAI1ComparisonSet.IsOverlapping`, `CAI1ComparisonSet.IsSubsetOf`, `CAI1ComparisonSet.IsSupersetOf`

public sealed interface CAI1ComparisonSet<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits CAI1ComparisonSet.Anything<T>, CAI1ComparisonSet.IsEqualTo<T>, CAI1ComparisonSet.IsNotEqualTo<T>, CAI1ComparisonSet.IsSubsetOf<T>, CAI1ComparisonSet.IsSupersetOf<T>, CAI1ComparisonSet.IsOverlapping<T>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `CAI1ComparisonSet.Anything<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonSet.IsEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonSet.IsNotEqualTo<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonSet.IsOverlapping<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonSet.IsSubsetOf<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
  `static final record`
  `CAI1ComparisonSet.IsSupersetOf<T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  CAI1ComparisonSet<T>`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT)`
  Deserialize a value of type CAI1ComparisonSet.
  `static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType>
  void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonSet<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT)`
  Serialize a value of type CAI1ComparisonSet.

- ## Method Details

  - ### serialize

    static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1ComparisonSet<T> $x, com.io7m.cedarbridge.runtime.api.CBSerializeType<T> $serializeT) throws IOException
    Serialize a value of type CAI1ComparisonSet.
    Type Parameters:
      `T` - The type of one or more serialized fields.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
      `$serializeT` - A serializer for values of type T.
    Throws:
      `IOException`

  - ### deserialize

    static <T extends com.io7m.cedarbridge.runtime.api.CBSerializableType> CAI1ComparisonSet<T> deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, com.io7m.cedarbridge.runtime.api.CBDeserializeType<T> $deserializeT) throws IOException
    Deserialize a value of type CAI1ComparisonSet.
    Type Parameters:
      `T` - The type of one or more deserialized fields.
    Parameters:
      `$context` - The serialization context.
      `$deserializeT` - A deserializer for values of type T.
    Returns:
      A value of type CAI1ComparisonSet.
    Throws:
      `IOException`